QT += core sql network
QT -= gui

CONFIG += c++11 console
CONFIG -= app_bundle

TARGET = agDP0004


SOURCES += \
        main.cpp \
    logthread.cpp \
    databasethread.cpp \
    httpthread.cpp \
    generatorcore.cpp

INCLUDEPATH += ../qmqtt-master/src/mqtt/

HEADERS += \
    logthread.h \
    ../QReplyTimeout.h \
    databasethread.h \
    httpthread.h \
    generatorcore.h

LIBS += -lQt5Qmqtt
